uorb start
param load
dataman start

param set ATT_EXT_HDG_M 1
param set LPE_FUSION 37
param set LPE_VIS_XY 0.1
param set LPE_VIS_Z 0.1
param set BAT_N_CELLS 3
param set CAL_ACC_PRIME 1376264
param set CAL_ACC0_ID 1376264
param set CAL_ACC0_XOFF 0.0
param set CAL_ACC0_XSCALE 1.01
param set CAL_ACC0_YOFF 0.0
param set CAL_ACC0_YSCALE 1.01
param set CAL_ACC0_ZOFF 0.0
param set CAL_ACC0_ZSCALE 1.01
param set CAL_ACC1_ID 1310728
param set CAL_ACC1_XOFF 0.01
param set CAL_GYRO_PRIME 2293768
param set CAL_GYRO0_ID 2293768
param set CAL_GYRO0_XOFF 0.0
param set CAL_GYRO0_XSCALE 1.0
param set CAL_GYRO0_YOFF 0.0
param set CAL_GYRO0_YSCALE 1.0
param set CAL_GYRO0_ZOFF 0.0
param set CAL_GYRO0_ZSCALE 1.0
param set CAL_MAG_PRIME 196616
param set CAL_MAG0_ID 196616
param set CAL_MAG0_ROT 0
param set CAL_MAG0_XOFF 0.01
param set COM_DISARM_LAND 3
param set COM_OBL_ACT 2
param set COM_OBL_RC_ACT 0
param set COM_OF_LOSS_T 5
param set COM_RC_IN_MODE 1
param set FW_MAN_P_MAX 10.0
param set FW_MAN_R_MAX 10.0
param set MAV_TYPE 2
param set MAV_BROADCAST 1
param set MC_PITCH_P 1.0
param set MC_PITCHRATE_P 0.5
param set MC_PITCHRATE_I 0.0
param set MC_PITCHRATE_D 0.0
param set MC_PITCHRATE_FF 0.0
param set MC_ROLL_P 1.0
param set MC_ROLLRATE_P 0.5
param set MC_ROLLRATE_I 0.0
param set MC_ROLLRATE_D 0.0
param set MC_ROLLRATE_FF 0.0
param set MC_YAW_P 0.5
param set MC_YAWRATE_P 0.2
param set MC_YAWRATE_I 0.0
param set MC_YAWRATE_D 0.0
param set MPC_XY_P 0.4
param set MPC_XY_VEL_P 0.1
param set MPC_XY_VEL_I 0.01
param set MPC_XY_VEL_D 0.01
param set MPC_Z_P 1.2
param set MPC_Z_VEL_P 0.1
param set MPC_Z_VEL_I 0.01
param set MPC_Z_VEL_D 0.005
param set MPC_HOLD_MAX_Z 2.0
param set MIS_TAKEOFF_ALT 5.0
param set NAV_ACC_RAD 2.0
param set NAV_DLL_ACT 2
param set RTL_DESCEND_ALT 5.0
param set RTL_LAND_DELAY 5
param set RTL_RETURN_ALT 30.0
param set SDLOG_DIRS_MAX 7
param set SENS_BOARD_ROT 0
param set SENS_BOARD_X_OFF 0.000001
param set SYS_AUTOSTART 4010
param set SYS_MC_EST_GROUP 1
param set SYS_RESTART_TYPE 2
param set MAV_PROTO_VER 2

replay tryapplyparams
simulator start -s
tone_alarm start
gyrosim start
accelsim start
barosim start
gpssim start
pwm_out_sim start
sensors start
commander start
land_detector start multicopter
navigator start
local_position_estimator start
mc_pos_control start
mc_att_control start

mixer load /dev/pwm_output0 ROMFS/px4fmu_common/mixers/quad_w.main.mix
mavlink start -x -u 14556 -r 4000000
mavlink start -x -u 14557 -r 4000000 -m onboard -o 14540
mavlink stream -r 50 -s POSITION_TARGET_LOCAL_NED -u 14556
mavlink stream -r 50 -s LOCAL_POSITION_NED -u 14556
mavlink stream -r 50 -s GLOBAL_POSITION_INT -u 14556
mavlink stream -r 50 -s ATTITUDE -u 14556
mavlink stream -r 50 -s ATTITUDE_QUATERNION -u 14556
mavlink stream -r 50 -s ATTITUDE_TARGET -u 14556
mavlink stream -r 50 -s SERVO_OUTPUT_RAW_0 -u 14556
mavlink stream -r 20 -s RC_CHANNELS -u 14556
mavlink stream -r 250 -s HIGHRES_IMU -u 14556
mavlink stream -r 10 -s OPTICAL_FLOW_RAD -u 14556
logger start -e -t
mavlink boot_complete
replay trystart
